Update memory
Replace the title, canonical body, discovery summary, and type of an active memory.
Base URL
PATCH
Replace the title, canonical body, discovery summary, and type of an active memory.
bearerAuthheader
AuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
memory_id*stringapplication/json- body
Values are trimmed before length limits are checked.
title*Memories.MemoryTitleLength
1 <= length <= 200content*Memories.MemoryContentCanonical Markdown body. Directive memories must be at most 2000 characters so they can be injected in full.
Length
1 <= length <= 20000description*Memories.MemoryDescriptionLength
10 <= length <= 420memory_type*Memories.MemoryTypeValue in
"fact""directive"Updated memory
application/json- response
data*curl -X PATCH 'https://your-org.inspect.com/api/public/v1/memories/string' \ -H 'Content-Type: application/json' \ -d '{ "title": "string", "content": "string", "description": "stringstri", "memory_type": "fact"}'Example Response
{ "data": { "memory": { "id": "string", "title": "string", "content": "string", "description": "string", "memoryType": "fact", "archivedAt": "2019-08-24T14:15:22Z", "archivedReason": "string" } }}